6.0.0-git
2021-01-18

[#7758] iCalendar does not quote/parse parameters correctly
Summary iCalendar does not quote/parse parameters correctly
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, karsten (at) horde (dot) org
Requester wrobel (at) horde (dot) org
Created 2008-12-05 (4427 days ago)
Due
Updated 2009-04-05 (4306 days ago)
Assigned 2008-12-12 (4420 days ago)
Resolved 2009-04-05 (4306 days ago)
Milestone 3.3.4
Patch Yes

History
2009-04-05 21:14:31 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
Committed, thanks.
2009-01-29 12:03:13 Jan Schneider Patch ⇒ Yes
 
2009-01-29 12:03:02 Jan Schneider Milestone ⇒ 3.3.4
 
2008-12-12 21:27:14 Gunnar Wrobel Comment #3
State ⇒ Assigned
Reply to this comment
I would say it is similar to bug #7031 but not a duplicate. Parsing 
colons is okay (probably as that bug got fixed) but the parsing 
problem reported here is about semicolons.




2008-12-12 17:35:46 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
The parsing part sounds like a duplicate of bug #7031.
2008-12-07 03:28:58 Chuck Hagenbuch Assigned to Jan Schneider
Assigned to Karsten Fourmont
State ⇒ Assigned
 
2008-12-05 15:58:17 Gunnar Wrobel Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ iCalendar does not quote/parse parameters correctly
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
New Attachment: HK-GW-iCalendar-Quoted_parameters.patch Download
Reply to this comment
Currently iCalendar.php fails to deal with parameter values which 
contain a ";" when importing data. As per RFC 2445 certain parameter 
values need to be quoted. Quoted parameters values are not recognized 
by iCalendar.php.



When exporting data the parameters may not contain all possible 
characters (e.g. control characters would be invalid). In addition 
parameter values that contain a ";", ":", or "," need to be quoted.



Another problem are two byte UTF-8 characters in parameter values: As 
far as I can tell RFC 2445 allows these in an unquoted form. 
Nevertheless Outlook seems to be unable to deal which unquoted 
parameter values when they contain such characters.



See also https://www.intevation.de/roundup/kolab/issue3284



Our suggested solution is to also quote parameter values once there 
are two-byte characters in the string.



Suggested patch attached.

Saved Queries